/* CSS Document */
.azul {
  color: #0099d4;
}
.text-20 {
  font-size: 20px;
}
.text-30 {
  font-size: 30px;
}
.text-40 {
  font-size: 40px;
}
.bottom-aligned {
  display: flex;
  align-items: flex-end;
}
.subrayado {
  background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);
  background-repeat: no-repeat;
  height: 2px;
  width: 100%;
}
.pad-20 {
  padding: 50px 0;
}
.underline--magical {
  background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);
  background-repeat: no-repeat;
  background-size: 100% 0.2em;
  background-position: 0 88%;
  transition: background-size 0.25s ease-in;
  &:hover {
    background-size: 100% 88%;
  }
}
.align-right {
  justify-content: flex-end;
  align-items: flex-end;
  text-justify: right;
}
.one {
  background-color: brown;
}
/*
# Hero Section
--------------------------------------------------------------*/
.hero2 {
  width: 100%;
  height: 80vh;
  background: url("../images/hero-img/calicata01.jpg")bottom center;
}
.hero3 {
  background: url("../images/hero-img/calicata02.jpg")bottom center;
}
.hero4 {
  background: url("../images/hero-img/calicata03.jpg")bottom center;
}
.bg-degradado {
  background: rgb(90, 134, 11);
  background: linear-gradient(90deg, rgba(90, 134, 11, 0.6) 0%, rgba(116, 175, 10, 0) 70%);
}
.bg-degradado2 {
  background: rgb(90, 134, 11);
  background: linear-gradient(90deg, rgba(90, 134, 11, 0.8) 0%, rgba(116, 175, 10, 0) 70%);
}
.bg-degradado-b {
  background: rgb(209, 234, 251);
  background: linear-gradient(90deg, rgba(209, 234, 251, 0.6530987394957983) 0%, rgba(255, 255, 255, 0) 50%);
}
#hero {
  width: 100%;
  height: 70vh;
  background: url("../images/hero-img/foto02.jpg")center center;
}
#hero h1 {
  margin: 0 0 10px 0;
  font-size: 65px;
  font-weight: 700;
  line-height: 56px;
  color: black;
}
#hero h2 {
  color: black;
  margin-bottom: 20px;
  font-size: 24px;
}
#hero h5 {
  color: black;
  font-size: 20px;
}
#hero .btn-get-started {
  font-family: "Raleway", sans-serif;
  font-weight: 500;
  font-size: 16px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 10px 30px;
  border-radius: 50px;
  transition: 0.5s;
  color: #000000;
  border: 2px solid #000000;
}
#hero .btn-get-started:hover {
  background: #00BCD4;
  color: #fff;
  border: 2px solid #00BCD4;
}
#hero .animated {
  animation: up-down 2s ease-in-out infinite alternate-reverse both;
}
@media (min-width: 1024px) {
  #hero {
    background-attachment: fixed;
  }
}
@media (max-width: 991px) {
  #hero {
    height: 100vh;
  }
  #hero .animated {
    animation: none;
  }
  #hero .hero-img {
    text-align: center;
  }
  #hero .hero-img img {
    width: 50%;
  }
}
@media (max-width: 768px) {
  #hero {
    margin-top: 20px;
  }
  #hero h1 {
    font-size: 28px;
    line-height: 36px;
  }
  #hero h2 {
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 30px;
  }
  #hero .hero-img img {
    width: 70%;
  }
}
@media (max-width: 575px) {
  #hero .hero-img img {
    width: 80%;
  }
}
@keyframes up-down {
  0% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(-10px);
  }
}

.readonly-field {
  background-color: #f8f9fa !important;  
  border: 1px #6c757d !important; 
  color: #495057 !important; 
  font-weight: bold !important;
  cursor: not-allowed !important;
  opacity: 1 !important;
}

/* -- Corrección para mostrar Íconos Tabler dentro de botones Bootstrap -- */

.btn .ti {
  /*
   * Forzamos al ícono a usar su propia familia de fuentes,
   * ignorando la fuente del botón que la contiene.
   */
  font-family: 'tabler-icons' !important;
  
  /* 
   * Aseguramos que el ícono se muestre como un carácter normal.
   * Esto previene que los estilos del botón lo oculten.
   */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-style: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
}